import { html } from '@microsoft/fast-element';
import { ref, repeat } from '@microsoft/fast-element';
export const foundationDatePickerTemplate = html `
  <foundation-button type="button" class="date-toggle" ${ref('toggleButton')}>
    ${(x) => x.formatDate}
    <zero-icon variant="regular" name="calendar-alt"></zero-icon>
  </foundation-button>
  <div class="calendar-dropdown ${(x) => x.calendarDropdownClasses} ${(x) => x.position}">
    <div class="header">
      <h3>${(x) => x.currentMonth} ${(x) => x.currentYear}</h3>
      <div class="months-arrows">
        <div class="icon-container" ${ref('prevBtn')}>
          <zero-icon name="angle-left" class="prev-month" aria-label="previous month"></zero-icon>
        </div>
        <div class="icon-container" ${ref('nextBtn')}>
          <zero-icon name="angle-right" class="next-month" aria-label="next month"></zero-icon>
        </div>
      </div>
    </div>
    <div class="week-days">
      ${repeat((x) => x.calendar.weekDays, html `
          <span>${(x, c) => x.substring(0, c.parent.substringNumber)}</span>
        `)}
    </div>
    <div class="month-days" ${ref('calendarDaysContainer')}>
      ${repeat((x) => x.monthList, html `
          <button
            class="month-day 
        ${(x, c) => (c.parent.isSelectedDate(x) ? 'selected' : '')} 
        ${(x, c) => (x.monthNumber === c.parent.calendar.month.number ? 'current' : '')}"
            @click=${(x, c) => c.parent.selectDay(x)}
          >
            ${(x, c) => x.date}
          </button>
        `)}
    </div>
  </div>
`;
//# sourceMappingURL=date-picker.template.js.map