import { html, ref, when } from '@microsoft/fast-element';
export const getPrefixedFileUpload = (prefix) => html `
<template>
  <div class="file-selection">
    <input type="file" multiple ${ref('fileInput')} 
    @change=${(x, c) => x.onInputChange(c.event)} :accept="${(x) => x.accept}"/>
    <${prefix}-text-field readOnly type="text" id="fileName" 
        :label="${(x) => x.label}" 
        :value="${(x) => x.fileName}">
        ${(x) => x.label} 
        ${when((x) => x.fileName, html `
        <${prefix}-icon slot="end" class="clear-icon" name="xmark" 
          @click=${(x) => x.clearSelection()}></${prefix}-icon>
          `)}
    </${prefix}-text-field>

    <${prefix}-button @click=${(x) => x.handleClick()}>Browse</${prefix}-button>
    <${prefix}-button @click=${(x) => x.handleFileUpload()}
      :disabled="${(x) => !x.fileName}">Upload</${prefix}-button>
  </div>
  <div class="uploader-grid">
      <${prefix}-data-grid generate-header="sticky" 
      :rowsData="${(x) => x.uploadedFilesList}"
      :columnDefinitions="${(x) => x.filesGridColumnDefinitions}">         
      </${prefix}-data-grid>
  </div>
</template>
`;
export const foundationFileUploadTemplate = html `
  ${(x) => getPrefixedFileUpload(x.tagName.toLowerCase().split('-')[0])}
`;
//# sourceMappingURL=file-upload.template.js.map