import { html, ref, repeat, when } from '@microsoft/fast-element';
import { classNames } from '@microsoft/fast-web-utilities';
import { mapType } from './filter-bar.utils';
const loadingTemplate = html `
  <p>Fetching metadata for ${(x) => x.resource}...</p>
`;
const collapseIcon = html `
  ${when((x) => x.collapsed, html `
      <foundation-icon name="arrow-up"></foundation-icon>
    `)}
  ${when((x) => !x.collapsed, html `
      <foundation-icon name="arrow-down"></foundation-icon>
    `)}
`;
const filterBarTemplate = html `
  <div
    class=${(x) => classNames(['toggle', true], ['toggle-collapsed', x.collapsed])}
    @click="${(x) => x.toggle()}"
  >
    ${collapseIcon}
  </div>
  <div class=${(x) => classNames(['filter-bar', true], ['collapsed', x.collapsed])}>
    <div class="filter-grid" ${ref('filterGrid')}>
      ${repeat((x) => x.fields, html `
          <foundation-filter
            label="${(x) => x.UI_LABEL}"
            target="${(x, c) => { var _a; return (_a = c.parent) === null || _a === void 0 ? void 0 : _a.target; }}"
            type="${(x) => mapType(x.TYPE)}"
            fieldName="${(x) => x.NAME}"
          ></foundation-filter>
        `)}
    </div>
  </div>
`;
export const foundationFilterBarTemplate = html `
  ${(x) => (x.ready ? filterBarTemplate : loadingTemplate)}
`;
//# sourceMappingURL=filter-bar.template.js.map