import { __decorate } from "tslib";
import { FoundationElement } from '@microsoft/fast-foundation';
import { foundationFlyoutTemplate as template } from './flyout.template';
import { foundationFlyoutStyles as styles } from './flyout.styles';
import { attr } from '@microsoft/fast-element';
export class Flyout extends FoundationElement {
    constructor() {
        super(...arguments);
        this.position = 'right';
        this.closed = true;
        this.visuallyhidden = true;
    }
    closedChanged() {
        if (!this.closed) {
            setTimeout(() => (this.visuallyhidden = false), 1);
        }
    }
    closeFlyout() {
        this.visuallyhidden = true;
    }
    closingFinished() {
        if (this.visuallyhidden) {
            this.closed = true;
            this.$emit('closed');
        }
    }
}
__decorate([
    attr
], Flyout.prototype, "position", void 0);
__decorate([
    attr({ mode: 'boolean' })
], Flyout.prototype, "closed", void 0);
__decorate([
    attr({ mode: 'boolean' })
], Flyout.prototype, "visuallyhidden", void 0);
export const foundationFlyoutShadowOptions = undefined;
export const defaultFlyoutConfig = {};
export const foundationFlyout = Flyout.compose(Object.assign({ baseName: 'flyout', styles,
    template, shadowOptions: foundationFlyoutShadowOptions }, defaultFlyoutConfig));
//# sourceMappingURL=flyout.js.map